# BEGIN SourceDeps(oneline):
BuildRequires: perl(B/Hooks/EndOfScope.pm) perl(CPAN.pm) perl(Carp.pm) perl(Catalyst/Exception.pm) perl(Catalyst/Exception/Detach.pm) perl(Catalyst/Exception/Go.pm) perl(Catalyst/Log.pm) perl(Catalyst/Model.pm) perl(Catalyst/Request.pm) perl(Catalyst/Request/Upload.pm) perl(Catalyst/Response.pm) perl(Catalyst/Utils.pm) perl(Class/C3.pm) perl(Class/C3/Adopt/NEXT.pm) perl(Class/MOP.pm) perl(Config.pm) perl(Cwd.pm) perl(Data/Dumper.pm) perl(Devel/InnerPackage.pm) perl(Encode.pm) perl(Exporter.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Path.pm) perl(File/stat.pm) perl(FileHandle.pm) perl(Filter/Util/Call.pm) perl(HTML/Entities.pm) perl(HTTP/Request/AsCGI.pm) perl(LWP/Simple.pm) perl(LWP/UserAgent.pm) perl(List/MoreUtils.pm) perl(MIME/Base64.pm) perl(MRO/Compat.pm) perl(Module/Build.pm) perl(Module/Pluggable/Object.pm) perl(Moose.pm) perl(Moose/Meta/Class.pm) perl(Moose/Util.pm) perl(MooseX/MethodAttributes.pm) perl(Path/Class/Dir.pm) perl(Path/Class/File.pm) perl(PerlIO.pm) perl(Sub/Exporter.pm) perl(Sub/Install.pm) perl(Test/Builder/IO/Scalar.pm) perl(Test/Deep.pm) perl(Test/WWW/Mechanize.pm) perl(Text/SimpleTable.pm) perl(Tree/Simple.pm) perl(Tree/Simple/Visitor/FindByUID.pm) perl(URI.pm) perl(URI/http.pm) perl(URI/https.pm) perl(YAML.pm) perl(YAML/Tiny.pm) perl(attributes.pm) perl(namespace/clean.pm) perl(overload.pm) perl(threads/shared.pm)
# END SourceDeps(oneline)
%define module_version 0.11
%define module_name Catalyst-Model-MultiAdaptor
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.11
Release: alt1
Summary: use plain classes as a Catalyst Model
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/K/KI/KITANO/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This modules aims to integrate POPO models into Catalyst model.

Application models should be plain old perl class (POPO).
Separating model classes from Catalyst makes Model classes more 
resusable and testable.

Catalyst::Model::Adaptor is very good module for this purpose.
but we need to create multiple adaptors if we have multiple 
plain perl classes.

This modules can easily integrate multiple plain models as 
Catalyst model.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/C*

%changelog
* Tue Sep 03 2013 Igor Vlasenko <viy@altlinux.ru> 0.11-alt1
- initial import by package builder

